Climate Data
Understand today's weather in context with long-term climate averages. Monthly and daily normals computed over the 30-year period 1991-2020: average, minimum and maximum temperature, precipitation sums and rain days, plus sea surface temperature.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Understand today's weather in context with long-term climate averages. Monthly and daily normals computed over the 30-year period 1991-2020: average, minimum and maximum temperature, precipitation sums and rain days, plus sea surface temperature.
Endpoints
Monthly climate
Averages and other summary weather statistics, by month. The values are based on a 30-year period 1991-2020.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
tempunitType: stringTemperature unit: "C", "F" (default "C")
/api/v1/climate/monthly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/climate/monthly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"climate": [
{
"month": "01",
"dayMaxTemp": -0.76,
"dayMinTemp": -5.68,
"dayAvgTemp": -3.2,
"precipSum": 55.17,
"dailyPrecip": 1.78,
"rainDays": 19.09,
"frostDays": 26.42,
"seaSurfaceTemp": 0.85
}
]
}{
"type": "object",
"properties": {
"climate": {
"type": "array",
"items": {
"type": "object",
"properties": {
"month": {
"type": "string",
"example": "01",
"description": "Month of year"
},
"dayMaxTemp": {
"type": "number",
"example": -0.76,
"description": "Daily maximum temperature"
},
"dayMinTemp": {
"type": "number",
"example": -5.68,
"description": "Daily minimum temperature"
},
"dayAvgTemp": {
"type": "number",
"example": -3.2,
"description": "Daily average temperature"
},
"precipSum": {
"type": "number",
"example": 55.17,
"description": "Precipitation sum (mm)"
},
"dailyPrecip": {
"type": "number",
"example": 1.78,
"description": "Precipitation accumulation during a day (mm)"
},
"rainDays": {
"type": "number",
"example": 19.09,
"description": "Number of rain days in month (≥0.1 mm of precipitation)"
},
"frostDays": {
"type": "number",
"example": 26.42,
"description": "Number of frost days in month"
},
"seaSurfaceTemp": {
"type": "number or null",
"example": 0.85,
"description": "Average sea surface temperature, null outside seas or coastal areas"
}
}
}
}
}
}Daily climate
Temperature statistics of a given day in a location. The values are 15-day central moving averages of 30-year averages of daily values during 1991-2020.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
monthdayType: stringrequired"month-day" as two two-digit numbers, separated by a dash, e.g., 05-27 for May 27
tempunitType: stringTemperature unit: "C", "F" (default "C")
/api/v1/climate/daily/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/climate/daily/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"climate": [
{
"month": "01",
"day": "12",
"avgMinTemp": -4.53,
"avgTemp": -2.77,
"avgMaxTemp": -0.87
}
]
}{
"type": "object",
"properties": {
"climate": {
"type": "array",
"items": {
"type": "object",
"properties": {
"month": {
"type": "string",
"example": "01",
"description": "Month of year"
},
"day": {
"type": "string",
"example": "12",
"description": "Day of the month"
},
"avgMinTemp": {
"type": "number",
"example": -4.53,
"description": "Average minimum temperature of the day"
},
"avgTemp": {
"type": "number",
"example": -2.77,
"description": "Average temperature of the day"
},
"avgMaxTemp": {
"type": "number",
"example": -0.87,
"description": "Average maximum temperature of the day"
}
}
}
}
}
}